//ArshadFX_BarHL_Objects   Copyright  2009, Arshad Qureshi, email : arshedfx@gmail.com
#property copyright "Copyright  2009, Arshed Qureshi. ArshadFX"
#property indicator_chart_window

extern bool    D1          = 1; 
extern int     ObjD1       = 1;

extern string  Colors="Select Color & Drawing";
extern color   BarsHigh    = YellowGreen;
extern color   BarsLow     = YellowGreen;
extern int     LineLable   = 1;  // 0=Nolable, 1=Bar'sIndexNo, 2=Bar'sIndexNo + Price
                                 

extern bool    D1Position  = 1;  // 0= On bars as normal SupportResistance line, 1= Right side of chart
 
 
double buf127.2[];
// -- GV HourIndexHigh, HourIndexLow... Houre1TimeStart,.. End. ---------------
double H1h[], H1l[], H4h[], H4l[], D1h[], D1l[], W1h[], W1l[], M1h[], M1l[];
datetime H1ts[], H1te[], H4ts[], H4te[], D1ts[], D1te[], W1ts[], W1te[], M1ts[], M1te[];
int MaxObj=0; // Maximum Objects
// --- Init & Deinit ----------------------------------------------------------
int init()  {ArrayResize(D1h,ObjD1+2); ArrayResize(D1l,ObjD1+2); ArrayResize(D1ts,ObjD1+2); ArrayResize(D1te,ObjD1+2);
             
             
              if (ObjD1+1 > MaxObj) MaxObj=ObjD1+1;         // in case of some varient drawing lines
             
             
             
             
             return(0);}
int deinit(){rLines(MaxObj+1); Comment("");  return(0);}

// ---- Main function call ----------------------------------------------------
int start()
   {
   int x;
   for(x=0; x<MaxObj; x++)
      {
     
      
      D1h[x]=iHigh(Symbol(),1440,x);   D1l[x]=iLow(Symbol(),1440,x);
     
      D1ts[x]=iTime(Symbol(),1440,x);  D1te[x]=Time[0];
      
      
      }

   
   
   if (D1) {dD1(ObjD1+1);}
  

   Comment("Spread : ",MarketInfo(Symbol(), MODE_SPREAD));
   }
   return(0);



void dD1(int Obj) // Draw Lines Daily
   {
   for (int x=1; x<Obj; x++)
      {
      ObjectDelete("D1_High_"+x);   // High_Hour_1
      if (D1Position){ObjectCreate("D1_High_"+x,OBJ_TREND,0,Time[0]+(Time[0]-Time[1]),D1h[x],Time[0]+(Time[0]-Time[25]),D1h[x],0);}
                     else {ObjectCreate("D1_High_"+x,OBJ_TREND,0,D1ts[x],D1h[x],D1te[x],D1h[x],0);}
      ObjectSet("D1_High_"+x,OBJPROP_RAY,0);  ObjectSet("D1_High_"+x,OBJPROP_COLOR,BarsHigh);
      ObjectSet("D1_High_"+x,OBJPROP_WIDTH,2);
      if (LineLable==1){ObjectSetText("D1_High_"+x,"D1_High_"+x);}
      if (LineLable==2){ObjectSetText("D1_High_"+x,"D1_High_"+x+"    "+DoubleToStr(D1h[1],Digits),6);}

      ObjectDelete("D1_Low_"+x);   // Low_Hour_1
      if (D1Position){ObjectCreate("D1_Low_"+x,OBJ_TREND,0,Time[0]+(Time[0]-Time[1]),D1l[x],Time[0]+(Time[0]-Time[25]),D1l[x],0);}
                     else {ObjectCreate("D1_Low_"+x,OBJ_TREND,0,D1ts[x],D1l[x],D1te[x],D1l[x],0);}
      ObjectSet("D1_Low_"+x,OBJPROP_RAY,0);  ObjectSet("D1_Low_"+x,OBJPROP_COLOR,BarsLow);
      ObjectSet("D1_Low_"+x,OBJPROP_WIDTH,2);
      if (LineLable==1){ObjectSetText("D1_Low_"+x,"D1_Low_"+x);}
      if (LineLable==2){ObjectSetText("D1_Low_"+x,"D1_Low_"+x+"    "+DoubleToStr(D1l[1],Digits),6);}
      }
   }


   




void rLines(int Obj)     // Remove Lines
   {
   for (int x=1; x<Obj; x++)
      {
      
      ObjectDelete("D1_High_"+x);  // High_Hour_1
      ObjectDelete("D1_Low_"+x);   // Low_Hour_1
      
      }
   }





